Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi.impl
Class TProcessInfoImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.apache.ode.bpel.pmapi.impl.TProcessInfoImpl

All Implemented Interfaces:
  java.io.Serializable, TProcessInfo, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

    public class TProcessInfoImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements TProcessInfo

An XML tProcessInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `TProcessInfoImpl.DocumentsImpl` An XML documents(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.TProcessInfo
`TProcessInfo.Documents, TProcessInfo.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.apache.ode.bpel.pmapi.TProcessInfo
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`TProcessInfoImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`TDefinitionInfo` | `addNewDefinitionInfo()` Appends and returns a new empty "definition-info" element
`TDeploymentInfo` | `addNewDeploymentInfo()` Appends and returns a new empty "deployment-info" element
`TProcessInfo.Documents` | `addNewDocuments()` Appends and returns a new empty "documents" element
`TEndpointReferences` | `addNewEndpoints()` Appends and returns a new empty "endpoints" element
`TInstanceSummary` | `addNewInstanceSummary()` Appends and returns a new empty "instance-summary" element
`TProcessProperties` | `addNewProperties()` Appends and returns a new empty "properties" element
`TDefinitionInfo` | `getDefinitionInfo()` Gets the "definition-info" element
`TDeploymentInfo` | `getDeploymentInfo()` Gets the "deployment-info" element
`TProcessInfo.Documents` | `getDocuments()` Gets the "documents" element
`TEndpointReferences` | `getEndpoints()` Gets the "endpoints" element
`TInstanceSummary` | `getInstanceSummary()` Gets the "instance-summary" element
`java.lang.String` | `getPid()` Gets the "pid" element
`TProcessProperties` | `getProperties()` Gets the "properties" element
`TProcessStatus.Enum` | `getStatus()` Gets the "status" element
`long` | `getVersion()` Gets the "version" element
`boolean` | `isSetInstanceSummary()` True if has "instance-summary" element
`void` | `setDefinitionInfo(TDefinitionInfo definitionInfo)` Sets the "definition-info" element
`void` | `setDeploymentInfo(TDeploymentInfo deploymentInfo)` Sets the "deployment-info" element
`void` | `setDocuments(TProcessInfo.Documents documents)` Sets the "documents" element
`void` | `setEndpoints(TEndpointReferences endpoints)` Sets the "endpoints" element
`void` | `setInstanceSummary(TInstanceSummary instanceSummary)` Sets the "instance-summary" element
`void` | `setPid(java.lang.String pid)` Sets the "pid" element
`void` | `setProperties(TProcessProperties properties)` Sets the "properties" element
`void` | `setStatus(TProcessStatus.Enum status)` Sets the "status" element
`void` | `setVersion(long version)` Sets the "version" element
`void` | `unsetInstanceSummary()` Unsets the "instance-summary" element
`org.apache.xmlbeans.XmlString` | `xgetPid()` Gets (as xml) the "pid" element
`TProcessStatus` | `xgetStatus()` Gets (as xml) the "status" element
`org.apache.xmlbeans.XmlLong` | `xgetVersion()` Gets (as xml) the "version" element
`void` | `xsetPid(org.apache.xmlbeans.XmlString pid)` Sets (as xml) the "pid" element
`void` | `xsetStatus(TProcessStatus status)` Sets (as xml) the "status" element
`void` | `xsetVersion(org.apache.xmlbeans.XmlLong version)` Sets (as xml) the "version" element

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### TProcessInfoImpl

    public TProcessInfoImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getPid

    public java.lang.String getPid()

  Gets the "pid" element

  Specified by:
    `getPid` in interface `TProcessInfo`

### xgetPid

    public org.apache.xmlbeans.XmlString xgetPid()

  Gets (as xml) the "pid" element

  Specified by:
    `xgetPid` in interface `TProcessInfo`

### setPid

    public void setPid(java.lang.String pid)

  Sets the "pid" element

  Specified by:
    `setPid` in interface `TProcessInfo`

### xsetPid

    public void xsetPid(org.apache.xmlbeans.XmlString pid)

  Sets (as xml) the "pid" element

  Specified by:
    `xsetPid` in interface `TProcessInfo`

### getStatus

    public TProcessStatus.Enum getStatus()

  Gets the "status" element

  Specified by:
    `getStatus` in interface `TProcessInfo`

### xgetStatus

    public TProcessStatus xgetStatus()

  Gets (as xml) the "status" element

  Specified by:
    `xgetStatus` in interface `TProcessInfo`

### setStatus

    public void setStatus(TProcessStatus.Enum status)

  Sets the "status" element

  Specified by:
    `setStatus` in interface `TProcessInfo`

### xsetStatus

    public void xsetStatus(TProcessStatus status)

  Sets (as xml) the "status" element

  Specified by:
    `xsetStatus` in interface `TProcessInfo`

### getVersion

    public long getVersion()

  Gets the "version" element

  Specified by:
    `getVersion` in interface `TProcessInfo`

### xgetVersion

    public org.apache.xmlbeans.XmlLong xgetVersion()

  Gets (as xml) the "version" element

  Specified by:
    `xgetVersion` in interface `TProcessInfo`

### setVersion

    public void setVersion(long version)

  Sets the "version" element

  Specified by:
    `setVersion` in interface `TProcessInfo`

### xsetVersion

    public void xsetVersion(org.apache.xmlbeans.XmlLong version)

  Sets (as xml) the "version" element

  Specified by:
    `xsetVersion` in interface `TProcessInfo`

### getDefinitionInfo

    public TDefinitionInfo getDefinitionInfo()

  Gets the "definition-info" element

  Specified by:
    `getDefinitionInfo` in interface `TProcessInfo`

### setDefinitionInfo

    public void setDefinitionInfo(TDefinitionInfo definitionInfo)

  Sets the "definition-info" element

  Specified by:
    `setDefinitionInfo` in interface `TProcessInfo`

### addNewDefinitionInfo

    public TDefinitionInfo addNewDefinitionInfo()

  Appends and returns a new empty "definition-info" element

  Specified by:
    `addNewDefinitionInfo` in interface `TProcessInfo`

### getDeploymentInfo

    public TDeploymentInfo getDeploymentInfo()

  Gets the "deployment-info" element

  Specified by:
    `getDeploymentInfo` in interface `TProcessInfo`

### setDeploymentInfo

    public void setDeploymentInfo(TDeploymentInfo deploymentInfo)

  Sets the "deployment-info" element

  Specified by:
    `setDeploymentInfo` in interface `TProcessInfo`

### addNewDeploymentInfo

    public TDeploymentInfo addNewDeploymentInfo()

  Appends and returns a new empty "deployment-info" element

  Specified by:
    `addNewDeploymentInfo` in interface `TProcessInfo`

### getInstanceSummary

    public TInstanceSummary getInstanceSummary()

  Gets the "instance-summary" element

  Specified by:
    `getInstanceSummary` in interface `TProcessInfo`

### isSetInstanceSummary

    public boolean isSetInstanceSummary()

  True if has "instance-summary" element

  Specified by:
    `isSetInstanceSummary` in interface `TProcessInfo`

### setInstanceSummary

    public void setInstanceSummary(TInstanceSummary instanceSummary)

  Sets the "instance-summary" element

  Specified by:
    `setInstanceSummary` in interface `TProcessInfo`

### addNewInstanceSummary

    public TInstanceSummary addNewInstanceSummary()

  Appends and returns a new empty "instance-summary" element

  Specified by:
    `addNewInstanceSummary` in interface `TProcessInfo`

### unsetInstanceSummary

    public void unsetInstanceSummary()

  Unsets the "instance-summary" element

  Specified by:
    `unsetInstanceSummary` in interface `TProcessInfo`

### getProperties

    public TProcessProperties getProperties()

  Gets the "properties" element

  Specified by:
    `getProperties` in interface `TProcessInfo`

### setProperties

    public void setProperties(TProcessProperties properties)

  Sets the "properties" element

  Specified by:
    `setProperties` in interface `TProcessInfo`

### addNewProperties

    public TProcessProperties addNewProperties()

  Appends and returns a new empty "properties" element

  Specified by:
    `addNewProperties` in interface `TProcessInfo`

### getEndpoints

    public TEndpointReferences getEndpoints()

  Gets the "endpoints" element

  Specified by:
    `getEndpoints` in interface `TProcessInfo`

### setEndpoints

    public void setEndpoints(TEndpointReferences endpoints)

  Sets the "endpoints" element

  Specified by:
    `setEndpoints` in interface `TProcessInfo`

### addNewEndpoints

    public TEndpointReferences addNewEndpoints()

  Appends and returns a new empty "endpoints" element

  Specified by:
    `addNewEndpoints` in interface `TProcessInfo`

### getDocuments

    public TProcessInfo.Documents getDocuments()

  Gets the "documents" element

  Specified by:
    `getDocuments` in interface `TProcessInfo`

### setDocuments

    public void setDocuments(TProcessInfo.Documents documents)

  Sets the "documents" element

  Specified by:
    `setDocuments` in interface `TProcessInfo`

### addNewDocuments

    public TProcessInfo.Documents addNewDocuments()

  Appends and returns a new empty "documents" element

  Specified by:
    `addNewDocuments` in interface `TProcessInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD